function I = emt(renvar, korr, anteile);

%-----------------------------------------------------------
%berprfung Dimensionen:
dim = rows(korr);
dim2 = columns(korr);
dim3 = rows(renvar);
dim4 = columns(anteile);
if dim != dim2
	disp ("Error: Dimensionen falsch");
%else
	%disp  ("Berechnung der Rendite und der Varianz:");
endif
if dim2 != dim3
	disp  ("Error: Dimensionen falsch");
endif

if dim3 != dim4
	disp  ("Error: Dimensionen falsch");
endif
%-----------------------------------------------------------


%-----------------------------------------------------------
%Berechnung Rendite:
rendite = 0; %Startwert = 0
for i = 1:dim
	rendite = rendite + (anteile(i) .* renvar(i,1));
endfor
%-----------------------------------------------------------

%-----------------------------------------------------------
%Berechnung Varianz:
varianz = 0; %Startwert = 0
%Varianz berechnen mit Fallunterscheidung i=j dann quadratisch, sonst mischterme
for i=1:dim
	for j=i:dim
		if i != j
			varianz = varianz + 2 .* renvar(i,2) .* renvar(j,2) .* anteile(i) .* anteile(j) .* korr(i,j);
		else 
			varianz = varianz + anteile(i).^2 .* renvar(i,2).^2; 
		endif
	endfor
endfor
%Wirkliche Varianz ausgeben
varianz = sqrt(varianz);
%-----------------------------------------------------------

%Ausgabe:
I = [rendite, varianz];
endfunction